fn main() {
    let total_attempts: i32 = 15_000_000;

    let mut successful_attempts: i32 = 0;

    for _ in 0..total_attempts {
        let a = rand::random::<u8>() as u16;
        let b = rand::random::<u8>() as u16;
        let c = rand::random::<u8>() as u16;

        if a + b + c > 300 {
            successful_attempts += 1;
        }
    }

    println!("Iterations: {}", total_attempts);
    println!("Valid sums: {}", successful_attempts);
    println!(
        "Probability: {}",
        successful_attempts as f32 / total_attempts as f32
    );
}
